# getPublicAnnouncements

## getPublicAnnouncements

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getPublicAnnouncements`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to get company debts for two last years such as:\
`* Enforcement notices`\
`* Court decisions on debts`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getPublicAnnouncements' --data '{`\
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",`\
&#x20;   `"reg_code": "10117826",`\
&#x20;   `"country": "EST",`\
&#x20;   `"language": "en"`\
`}'`

#### Query Parameters

| Name      | Type   | Description                                                         |
| --------- | ------ | ------------------------------------------------------------------- |
| language  | string | 2-letter language code. Must be "en", "et" or "ru. Default is "en". |
| token     | string | Your 'access token' (API key).                                      |
| reg\_code | string | Company registration number.                                        |
| country   | string | 3-letter country code "EST". Default is "EST".                      |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "enforcement_notices": [
        {
            "id": "111111",
            "ata_id": "111111",
            "debtor_name": "ABC OU",
            "debtor_code": "11111111",
            "birth_date": null,
            "claim_amount": "66.10",
            "amount": "138.10",
            "post_amount": "164.50",
            "deadline_date": "2019-01-01",
            "claimant_type": null,
            "claimant_code": null,
            "claimant_area": "MUUD",
            "debtor_type": "J",
            "message_type": "T\u00e4itmisteade",
            "action_type": null,
            "created_at": "2019-06-18",
            "checked_at": "2019-06-19",
            "claimant_type_txt": "Unspecified"
        }
    ],
    "court_decisions_on_debt": [
        {
            "id": "111111",
            "ata_id": "1111111",
            "debtor_name": "ABC OU",
            "debtor_code": "11111111",
            "birth_date": null,
            "claim_amount": "1111.14",
            "amount": "2222.47",
            "post_amount": null,
            "deadline_date": null,
            "claimant_type": null,
            "claimant_code": null,
            "claimant_area": "MUUD",
            "debtor_type": "J",
            "message_type": "Kohtu maksek\u00e4suosakonna m\u00e4\u00e4ruse k\u00e4ttetoimetamise teade",
            "action_type": "Makseettepanek",
            "created_at": "2019-06-17",
            "checked_at": "2019-06-19",
            "action_type_txt": "Payment proposal",
            "claimant_type_txt": "Unspecified"
        }
    ]
}
```

{% endtab %}

{% tab title="400 Invalid country code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Only EST country supported in this request"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a company matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such company"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}
